Skip to main content
GET
/
startup_scripts
/
{script_id}
Get Startup Script by ID
curl --request GET \
  --url https://api.hypercore.vn/startup_scripts/{script_id} \
  --header 'Authorization: Bearer <token>'
{
  "script": {
    "id": "b7e3f1a2-5678-4def-abcd-123456789abc",
    "name": "Install NGINX",
    "content": "#!/bin/bash\napt-get update && apt-get install -y nginx",
    "created": "2024-06-15T08:00:00Z",
    "updated": "2024-06-15T08:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

script_id
string<uuid>
required

Startup Script UUID

Query Parameters

team_id
string<uuid>

Team ID. Default team will be used if not provided.

Response

Successful operation

script
object